function init(hero) {
    hero.setName("Sonorosian");
    hero.setTier(6);
    
    hero.setHelmet("Head");
    hero.setChestplate("Chest");
    hero.setLeggings("Legs");
    hero.setBoots("Feet");
    
    hero.addPowers("ben:sonorosian_physiology", "ben:sonorosian_duplication");
    hero.addAttribute("PUNCH_DAMAGE", 2.5, 0);
    hero.addAttribute("WEAPON_DAMAGE", -0.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 0.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 5.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.6, 1);
    
    hero.addKeyBind("SONIC_WAVES", "Sonic Scream", 1);
    hero.addKeyBind("SPELL_MENU", "Sonorosian Duplication", 2);
    
    hero.setDefaultScale(0.6);
}
